-----------------------------------
-- Execution: db2 -tvf work1.db2 --
-----------------------------------
-- Turn autocommit off --

update command options using c off;

-- Connect to sample database --

connect to sample;

-- Values stmt to confirm client appl_name value --

values(current client_applname);

-- Cursor / DML Read --

declare c1 cursor for select * from org;
declare c2 cursor for select * from employee;
declare c3 cursor for select * from sales;
open c1;
open c2;
open c3;
fetch c1;
fetch c2;
fetch c3;
close c1;
close c2;
close c3;

commit;

-- DML Write --

insert into org values (99, 'WLM Team', 831, 'Northern', 'Canada');
insert into sales values(current date, 'GOUNOT', 'Ontario', 999);
update org set deptnumb = 999 where deptnumb = 99;
update sales set sales = 1000 where sales = 999;
delete from org where deptnumb = 999;
delete from sales where sales = 1000;

commit;

-- DDL --

create table tbl1  (col1 int, col2 char(10), col3 int);
create unique index indx1 on tbl1(col1, col2);
alter table tbl1 add constraint cons1 check (col1 > 0);

-- LOAD --

load client from data.del of del insert into tbl1;

-- DDL -- 

drop table tbl1;

commit;

-- Nested CALL --

create procedure stp2 language sql dynamic result sets 1 begin declare callstmt varchar(2000); declare callselect_cur cursor with return to caller for s1; set callstmt = 'select count(c.parm_count) from sysibm.systables as A, sysibm.systablespaces as B, sysibm.sysroutines as C'; prepare s1 from callstmt; open callselect_cur; end;

create procedure stp3 language sql begin call stp2; end;

create procedure stp4 language sql begin call stp3; end;

create procedure stp5 language sql begin call stp4; end;

call stp5;

commit;

drop procedure stp5;
drop procedure stp4;
drop procedure stp3;
drop procedure stp2;

commit;

connect reset;

terminate;
