-----------------------------------
-- Execution: db2 -tvf work2.db2 --
-----------------------------------

-- Turn autocommit off --

update command options using c off;

-- Connect to sample database --

connect to sample;

-- Values stmt to confirm client appl_name value --

values(current client_applname);

-- Cursor / DML Read --

declare c1 cursor for select * from org;
declare c2 cursor for select * from employee;
declare c3 cursor for select * from inventory;
open c1;
open c2;
open c3;
fetch c1;
fetch c2;
fetch c3;
close c1;
close c2;
close c3;

commit;

-- DML Write --

insert into org values (99, 'WLM Team', 831, 'Northern', 'Canada');
insert into inventory values('999-999-08', 100, 'Warehouse');
update org set deptnumb = 999 where deptnumb = 99;
update inventory set quantity = 1000 where quantity = 100;
delete from org where deptnumb = 99;
delete from inventory where quantity = 1000;

commit;

-- DDL --

create table tbl2  (col1 int, col2 char(10), col3 int);
create unique index indx1 on tbl2(col1, col2);
alter table tbl2 add constraint cons1 check (col1 > 0);

-- LOAD --

load client from data.del of del insert into tbl2;

-- DDL -- 

drop table tbl2;

commit;

-- Nested CALL --

create procedure stp7 language sql dynamic result sets 1 begin declare callstmt varchar(2000); declare callselect_cur cursor with return to caller for s1; set callstmt = 'select count(c.parm_count) from sysibm.systables as A, sysibm.systablespaces as B, sysibm.sysroutines as C'; prepare s1 from callstmt; open callselect_cur; end;

create procedure stp8 language sql begin call stp7; end;

create procedure stp9 language sql begin call stp8; end;

create procedure stp10 language sql begin call stp9; end;

call stp10;

commit;

drop procedure stp10;
drop procedure stp9;
drop procedure stp8;
drop procedure stp7;

commit;

connect reset;

terminate;
